<template>
  <div class="error-wrapper" v-if="errors">
    <div class="error-text" v-if="errors.required">Поле обязательное для заполнения</div>
    <div class="error-text" v-if="errors.format">Неверный формат</div>
    <div v-for="(error, index) in errors.serverErrors" :key="index">
      {{ error }}
    </div>
  </div>
</template>

<script setup>
defineProps({
  errors: Object,
});
</script>

<style lang="sass" scoped>
@import 'assets/styles/_variables.sass'
.error
    &-text
        margin:  0
        font-size: $fz * 0.9
        color: $red
        text-align: end
</style>
